Subject: Re: [PATCH net-next 1/3] netdevsim: Introduce support for L3 offload xstats

From: Petr Machata <[email-masked]>
Date: Fri, 11 Mar 2022 18:31:57 +0100

Jakub Kicinski <[email-masked]> writes:

> On Fri, 11 Mar 2022 08:06:31 -0800 Jakub Kicinski wrote:
>> I'm okay with your version if you prefer, but the above works, right?
>> Or am I missing something?

I think it would. I mostly wanted to avoid comparing the pointers,
expressing this using an enum feels cleaner.

> Ah, you only have one fops now, I should have read the patch more
> carefully. Yup, that's also good.

Actually no, you do need one fops instance per file. But the fops
themselves point to the same functions each time, so I can have one
"generic" fops struct and just copy it to each instance.